<launch>
  <arg name="server" default="localhost"/>
  <arg name="port" default="3883"/>
  <arg name="motive_asset_name" default="MOTIVEASSETNAME"/>
  <arg name="convert_to_enu" default="false"/>

  <node pkg="vrpn_client_ros" type="vrpn_client_node" name="vrpn_client_node" output="screen">
    <rosparam subst_value="true">
      server: $(arg server)
      port: $(arg port)

      update_frequency: 100.0
      frame_id: map

      # Use the VRPN server's time, or the client's ROS time.
      use_server_time: false
      broadcast_tf: true

      # Must either specify refresh frequency > 0.0, or a list of trackers to create
      #refresh_tracker_frequency: 1.0
      trackers:
      - "$(arg motive_asset_name)"
      #- FirstTracker
      #- SecondTracker

      # Convert to ENU frame: apply conversion from Motive Optitrack frame (WUN) to ROS frame (ENU)
      convert_to_enu: $(arg convert_to_enu)

      # Relay topic: publish pose on topic different from the default one
      relay_topic: false
      # (if relay_topic is true, use the following name)
      relay_topic_name: /your/topic/name
    </rosparam>    
    <remap from="vrpn_client_node/$(arg motive_asset_name)/pose" to="mavros/vision_pose/pose"/>
  </node>
</launch>
